package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerWarehouseCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerWarehouseDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerWarehouseUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerWarehouseListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerWarehousePageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerWarehouseShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.DealerWarehouseVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface DealerWarehouseServiceI {
	DealerWarehouseVO create(DealerWarehouseCreateCmd dealerWarehouseCreateCmd);

	PageDTO<DealerWarehouseVO> page(DealerWarehousePageQry dealerWarehousePageQry);

	List<DealerWarehouseVO> list(DealerWarehouseListQry dealerWarehouseListQry);

	DealerWarehouseVO update(DealerWarehouseUpdateCmd dealerWarehouseUpdateCmd);

	DealerWarehouseVO show(DealerWarehouseShowQry dealerWarehouseShowQry);

	void destroy(DealerWarehouseDestroyCmd dealerWarehouseDestroyCmd);
}

